mwselenium-quibble-docker jobs broken on WikibaseLexeme
Closed, ResolvedPublic

Description

Node selenium jobs appear to be broken since earlier today. Failing with:

unable to obtain stable firefox connection in 60 seconds (127.0.0.1:7055) (Selenium::WebDriver::Error::WebDriverError)

Examples:
https://integration.wikimedia.org/ci/job/mwselenium-quibble-docker/629/console
https://integration.wikimedia.org/ci/job/mwselenium-quibble-docker/628/console

Jakob_WMDE triaged this task as High priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2018, 11:41 AM

Reverted with https://gerrit.wikimedia.org/r/#/c/integration/config/+/460330/

The container has updated Firefox from version 52 to 60. Selenium IDE is no more support as of Firefox 55 https://seleniumhq.wordpress.com/2017/08/09/firefox-55-and-selenium-ide/ , so although the browser does launch, it can not be driven by mediawiki_selenium / selenium-webdriver.

We would need to craft a package for geckodriver which is not in Debian and requires rust and the cargo package manager. That is not trivial though :-/

WikibaseLexeme on CI uses firefox:

tests/browser/environments.yml
integration:
  item_namespace: 'Item:'
  language_code: en
  browser: firefox
  user_factory: true

So maybe we can switch it to chrome instead.

Wikibase is similar:

tests/browser/environments.yml
mw-vagrant-host: &default
  browser: firefox
  mediawiki_url: http://127.0.0.1:8080/wiki/
mw-vagrant-guest:
  browser: firefox
  mediawiki_url: http://127.0.0.1/wiki/
beta:
  browser: firefox
  mediawiki_url: https://wikidata.beta.wmflabs.org/wiki/
test:
  browser: firefox
  mediawiki_url: https://test.wikidata.org/wiki/
integration:
  browser: firefox
  # mediawiki_url: JENKINS WILL SET THIS

Change 457407 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/WikibaseLexeme@master] Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Change 457407 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/457407

Is this fixed? :D

Change 460511 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Wikibase@master] Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/460511

Change 460512 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump mwselenium-quibble-docker to Chromium 60

https://gerrit.wikimedia.org/r/460512

WikibaseLexeme has been updated to use Chrome instead of Firefox Gerrit 457407

Wikibase needs a similar update: Gerrit 460511

Then we can switch the CI job again:

https://gerrit.wikimedia.org/r/#/c/integration/config/+/460512/

Change 460513 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: remove Firefox from quibble-stretch-bundle

https://gerrit.wikimedia.org/r/460513

Change 460514 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update mediawiki_selenium job to drop Firefox

https://gerrit.wikimedia.org/r/460514

And the remove Firefox from the container we have been using :]

hashar claimed this task.Sep 14 2018, 12:22 PM

Change 460511 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Run mediawiki_selenium tests on CI with Chrome

https://gerrit.wikimedia.org/r/460511

hashar closed this task as Resolved.Sep 17 2018, 12:59 PM

For Wikibase and WikibaseLexeme, CI now runs mediawiki_selenium tests with Chromium v69.

Change 460512 merged by jenkins-bot:
[integration/config@master] Bump mwselenium-quibble-docker to Chromium 69

https://gerrit.wikimedia.org/r/460512

Change 460513 merged by jenkins-bot:
[integration/config@master] docker: remove Firefox from quibble-stretch-bundle

https://gerrit.wikimedia.org/r/460513

Change 460514 merged by jenkins-bot:
[integration/config@master] mwselenium job to Quibble 0.0.26 and drop Firefox

https://gerrit.wikimedia.org/r/460514